Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.tools
Class ScreenMagnifier

    java.lang.Object
      mars.tools.ScreenMagnifier

All Implemented Interfaces:
  MarsTool

    public class ScreenMagnifier

extends Object
implements MarsTool

Handy little tool to magnify a selected section of the screen by a given scale and display it. The screen image snapshot will be of the screen pixels beneath the tool's frame. The scale can be adjusted. The image is displayed in the tool's scrollable panel. You can highlight items on the image using the scribbler (hold down mouse button and move it on the image). The magnification scale adjustment is on the tool's window, but other settings can be modified on a button- triggered dialog. It will capture the contents of the underlying MARS graphical user interface, but NOT the contents of other Mars Tools frames.

Author:
  Pete Sanderson

Constructor Summary
`ScreenMagnifier()`

Method Summary
`void` | `action()` Performs tool functions.
`String` | `getName()` Return a name you have chosen for this tool.
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScreenMagnifier

    public ScreenMagnifier()

Method Detail

### getName

    public String getName()

  Description copied from interface: `MarsTool`
  Return a name you have chosen for this tool. It will appear as the menu item.

  Specified by:
    `getName` in interface `MarsTool`

### action

    public void action()

  Description copied from interface: `MarsTool`
  Performs tool functions. It will be invoked when the tool is selected from the Tools menu.

  Specified by:
    `action` in interface `MarsTool`

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD